Subject: bug#51826: qt packages (e.g. pcmanfm-qt) missing wayland qt module

From: Efraim Flashner <[email-masked]>
Date: Tue, 16 Nov 2021 21:12:46 +0200

On Sun, Nov 14, 2021 at 06:13:41PM -0600, bdju via Bug reports for GNU Guix wrote:
> On Sun Nov 14, 2021 at 7:44 AM CST, Josselin Poiret wrote:
> > Hello,
> >
> > This plugin is packaged as a part of qtwayland, and `guix shell --pure
> > --preserve="^(XDG_|WAYLAND_DISPLAY)" bash pcmanfm-qt qtwayland -- bash
> > -c "QT_QPA_PLATFORM=wayland pcmanfm-qt"` does work as expected (whereas
> > it does not if I leave out qtwayland). You might want to install
> > qtwayland in your profile for it to work.
> >
> > Best,
> > Josselin Poiret
> Thanks, installing that does indeed get pcmanfm-qt to launch, although
> the right click menu and file menus seem to be invisible! I had to open
> up a pcmanfm-qt without this env var to see how to get to preferences
> blindly. (alt-e alt-e will open edit then preferences). The missing
> right click menu is even worse since what's under the menu can vary,
> especially the "open with" menu.
> 
> Also, should this have been a dependency of something? I definitely
> didn't install it manually on postmarketOS (alpine-based).

I have qtwayland installed in my profile too. I have a couple of qt
programs which need it installed to use. It is better than before, where
each package had to be modified to support displaying on wayland, but
I'm not sure where we would inject qtwayland in the qt/kde build stack
to make sure everything builds against it.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted